[prev in list] [next in list] [prev in thread] [next in thread] 

List:       openembedded-core
Subject:    [OE-core] [PATCH 2/2] build-perf-test-wrapper.sh: accept test case failures
From:       Markus Lehtonen <markus.lehtonen () linux ! intel ! com>
Date:       2016-09-30 10:06:07
Message-ID: 1475229967-12685-3-git-send-email-markus.lehtonen () linux ! intel ! com
[Download RAW message or body]

Utilize the new return value (2) from oe-build-perf-test. Do not exit
with an error in case some individual tests fail. Even if some tests
fail we still want to complete successfully, that is, display and
archive the results and do cleanup. The individual tests do not depend
on each other anymore so test failures shouldn't affect the results of
successful tests.

Signed-off-by: Markus Lehtonen <markus.lehtonen@linux.intel.com>
---
 scripts/contrib/build-perf-test-wrapper.sh | 23 ++++++++++++++---------
 1 file changed, 14 insertions(+), 9 deletions(-)

diff --git a/scripts/contrib/build-perf-test-wrapper.sh \
b/scripts/contrib/build-perf-test-wrapper.sh index 97e24d8..e03ea97 100755
--- a/scripts/contrib/build-perf-test-wrapper.sh
+++ b/scripts/contrib/build-perf-test-wrapper.sh
@@ -117,15 +117,20 @@ if [ -f "$base_dir/auto.conf.extra" ]; then
 fi
 
 # Run actual test script
-if ! oe-build-perf-test --out-dir "$results_dir" \
-                        --globalres-file "$globalres_log" \
-                        --lock-file "$base_dir/oe-build-perf.lock" \
-                        "${commit_results[@]}" \
-                        --commit-results-branch \
                "{tester_host}/{git_branch}/$machine" \
-                        --commit-results-tag \
"{tester_host}/{git_branch}/$machine/{git_commit_count}-g{git_commit}/{tag_num}"; \
                then
-    echo "oe-build-perf-test script failed!"
-    exit 1
-fi
+oe-build-perf-test --out-dir "$results_dir" \
+                   --globalres-file "$globalres_log" \
+                   --lock-file "$base_dir/oe-build-perf.lock" \
+                   "${commit_results[@]}" \
+                   --commit-results-branch "{tester_host}/{git_branch}/$machine" \
+                   --commit-results-tag \
"{tester_host}/{git_branch}/$machine/{git_commit_count}-g{git_commit}/{tag_num}" +
+case $? in
+    1)  echo "ERROR: oe-build-perf-test script failed!"
+        exit 1
+        ;;
+    2)  echo "NOTE: some tests failed!"
+        ;;
+esac
 
 echo -ne "\n\n-----------------\n"
 echo "Global results file:"
-- 
2.6.6

-- 
_______________________________________________
Openembedded-core mailing list
Openembedded-core@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-core


[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic